kr.co.hanwha.hifive.screen.task.contract

## Interface AddTaskSelectMemberContract.Presenter

- All Superinterfaces:
    BasePresenter
  All Known Implementing Classes:
    AddTaskSelectMemberPresenter
  Enclosing interface:
    AddTaskSelectMemberContract

      public static interface AddTaskSelectMemberContract.Presenter
      extends BasePresenter

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doCompleted()` 선택 완료
    `void` | `initData()` 전체 멤버 목록 조회
    `void` | `refreshSelectedMember()` 선택된 멤버 목록 표시
    `void` | `updateObjectSelect(MemberInfoData data, int index, boolean isSelect)` 선택 상태 변경

    - ### Methods inherited from interface kr.co.hanwha.hifive.base.BasePresenter

      `detachView, getContext`

- - ### Method Detail

    - #### initData

          void initData()

      전체 멤버 목록 조회

    - #### updateObjectSelect

          void updateObjectSelect(@NonNull
                                  MemberInfoData data,
                                  @NonNull
                                  int index,
                                  @NonNull
                                  boolean isSelect)

      선택 상태 변경
      Parameters:
        `data` - 멤버 정보
        `index` - List index
        `isSelect` - Boolean

    - #### refreshSelectedMember

          void refreshSelectedMember()

      선택된 멤버 목록 표시

    - #### doCompleted

          void doCompleted()

      선택 완료